@import '../variables/font';
@import '../variables/color';
@import '../mixins/utils';
@import '../mixins/media';
@import '../mixins/adaptive';

/* Convert 1rem = 10px */
:root {
  font-size: 62.5%; /* 0.8x default size */
}

body {
  /* background-color: $white;
  background-image: url('/media/image/background/pattern-03.png');
  background-position: center center;
  background-repeat: repeat;
  background-size: 12rem; */
  /* @include background('30', $white); */

  &,
  a,
  b,
  strong,
  i,
  em,
  input,
  label,
  button,
  textarea,
  span,
  p,
  div,
  pre {
    /* Điều kì diệu khiến font chữ trên Mac và Windows style nhìn giống nhau */
    -webkit-font-smoothing: antialiased;
    //font-feature-settings: "liga" off;
    //font-variant-ligatures: none;

    color: $brown-1;
    font-family: $body-font;

    /* Disable Standard Ligatures */
    font-feature-settings: 'liga' 0;

    font-size: 1.4rem;
    font-weight: 400;
    letter-spacing: normal;
    line-height: normal;
  }

  /* Style cho body khi đang mở popup */
  &.popup-opening {
    overflow: hidden !important;

    @include mobile {
      /* Fix bug: body have scrollable when opening popup */
      /* Fix bug: wrong input focus on fixed modal (iOS 11.0 - 11.2) */
      position: fixed;
      height: 100%;
    }
  }

  /* Fix lỗi iframe bị lệch trên Safari */
  iframe {
    overflow: hidden;
    object-fit: contain !important;
    object-position: 50% 50%;
  }

  /* Prevent background color leak outs */
  img,
  button,
  div {
    @include background-bleed();
  }

  input,
  textarea {
    &::placeholder {
      color: $blue-3;
    }
  }

  button {
    span {
      line-height: normal;
    }
  }

  a {
    &,
    &:focus,
    &:visited,
    &:hover {
      cursor: pointer;
      color: inherit;
    }
  }

  /* Scrollbar luôn hiện để chuyển trang ko có scrollbar tránh bị giật */
  @include desktop {
    overflow-y: scroll;
  }

  /* Fix cho mobile view:
    - Bị dư ra 1 khoảng trắng bên phải, và hiện scroll ngang
    - Scroll dọc của container bị trùng với scroll dọc của body
  */
  @include mobile {
    /* 'Momentum' scrolling on mobile device */
    -webkit-overflow-scrolling: auto;

    background-color: $white;
    height: 100%;

    letter-spacing: -0.01rem;

    /* Hide scrollbar */
    /* Note: Overflow hidden prevent position sticky work on Safari */
    &::-webkit-scrollbar {
      background: transparent; /* optional: just make scrollbar invisible */
      width: 0; /* remove scrollbar space */
    }

    &,
    button,
    a,
    i,
    input,
    div {
      /* Chống double tap để zoom trên mobile, làm delay khi click something */
      touch-action: manipulation;
    }

    #root {
      //
    }
  }
}
